---
title: MediaKeyStatusMap.has()
slug: Web/API/MediaKeyStatusMap/has
tags:
  - API
  - EncryptedMediaExtensions
  - MediaKeyStatusMap
  - Method
  - Reference
  - has()
---
<p>{{APIRef("EncryptedMediaExtensions API")}}{{SeeCompatTable}}</p>

<p><span class="seoSummary">The <strong><code>has</code></strong> property of the {{domxref("MediaKeyStatusMap")}} interface returns a {{jsxref('Boolean')}}, asserting whether a value has been associated with the given key.</span></p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox">var <em>boolean</em> = mediaKeyStatusMap(key)</pre>

<h3 id="Parameters">Parameters</h3>

<dl>
 <dt>key</dt>
 <dd>The key whose value you want returned</dd>
</dl>

<h3 id="Returns">Returns</h3>

<p>A {{jsxref('Boolean')}}.</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('EME')}}</td>
   <td>{{Spec2('EME')}}</td>
   <td>Initial definition.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_Compatibility">Browser Compatibility</h2>

<div>

<p>{{Compat("api.MediaKeyStatusMap.has")}}</p>
</div>
